> ## Documentation Index
> Fetch the complete documentation index at: https://docs.augustus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transaction history

> Retrieve a paginated list of transactions for the specified time period



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/getivy/openapi.documented.yml post /api/service/transaction/list
openapi: 3.0.0
info:
  title: Ivy API
  description: Ivy API schema
  version: '1.0'
  contact:
    name: Ivy
    url: https://www.getivy.io
    email: help@getivy.io
servers:
  - url: https://api.getivy.de
    description: Production
  - url: https://api.sand.getivy.de
    description: Sandbox
security: []
tags: []
paths:
  /api/service/transaction/list:
    post:
      tags:
        - Transactions
      summary: List transaction history
      description: Retrieve a paginated list of transactions for the specified time period
      operationId: TransactionController_listTransactions
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListTransactionsDto'
      responses:
        '200':
          description: The list of transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTransactionsExternalResponseDto'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Ivy from '@getivy/node-sdk';


            const client = new Ivy({
              apiKey: process.env['IVY_API_KEY'], // This is the default and can be omitted
            });


            const transactions = await client.transactions.list({ from: 0, to: 0
            });


            console.log(transactions.data);
components:
  schemas:
    ListTransactionsDto:
      type: object
      properties:
        accountId:
          description: >-
            Account Id to fetch transactions for. Optional, is not specified -
            transactions for the default accounts will be returned
          type: string
          format: uuid
        from:
          description: Start timestamp (inclusive) - unix timestamp
          type: number
        to:
          description: End timestamp (exclusive) - unix timestamp
          type: number
        afterCursor:
          description: Cursor for pagination
          type: string
          minLength: 1
      required:
        - from
        - to
    ListTransactionsExternalResponseDto:
      type: object
      properties:
        data:
          description: Array of transactions
          type: array
          items:
            type: object
            properties:
              id:
                description: Transaction identifier
                type: string
              amount:
                description: Amount of the transaction
                type: string
              currency:
                description: ISO 4217 currency code
                type: string
              side:
                description: Side of the transaction
                type: string
                enum:
                  - credit
                  - debit
              creditor:
                description: Creditor account details
                type: object
                properties:
                  type:
                    description: Type of financial address
                    type: string
                    enum:
                      - iban
                      - sort_code
                      - bank_code
                      - bban
                      - wallet
                      - aba
                    x-enumNames:
                      - IBAN
                      - SORT_CODE
                      - BANK_CODE
                      - BBAN
                      - WALLET
                      - ABA
                  iban:
                    type: object
                    properties:
                      iban:
                        type: string
                      bic:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - iban
                      - accountHolderName
                  sortCode:
                    type: object
                    properties:
                      sortCode:
                        type: string
                      accountNumber:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - sortCode
                      - accountNumber
                      - accountHolderName
                  bankCode:
                    type: object
                    properties:
                      accountNumber:
                        type: string
                      code:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - accountNumber
                      - code
                      - accountHolderName
                  bban:
                    type: object
                    properties:
                      bban:
                        type: string
                      accountHolderName:
                        type: string
                      bic:
                        type: string
                    required:
                      - bban
                      - accountHolderName
                  wallet:
                    type: object
                    properties:
                      address:
                        description: The blockchain wallet address
                        type: string
                    required:
                      - address
                required:
                  - type
              debtor:
                description: Debtor account details
                type: object
                properties:
                  type:
                    description: Type of financial address
                    type: string
                    enum:
                      - iban
                      - sort_code
                      - bank_code
                      - bban
                      - wallet
                      - aba
                    x-enumNames:
                      - IBAN
                      - SORT_CODE
                      - BANK_CODE
                      - BBAN
                      - WALLET
                      - ABA
                  iban:
                    type: object
                    properties:
                      iban:
                        type: string
                      bic:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - iban
                      - accountHolderName
                  sortCode:
                    type: object
                    properties:
                      sortCode:
                        type: string
                      accountNumber:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - sortCode
                      - accountNumber
                      - accountHolderName
                  bankCode:
                    type: object
                    properties:
                      accountNumber:
                        type: string
                      code:
                        type: string
                      accountHolderName:
                        type: string
                    required:
                      - accountNumber
                      - code
                      - accountHolderName
                  bban:
                    type: object
                    properties:
                      bban:
                        type: string
                      accountHolderName:
                        type: string
                      bic:
                        type: string
                    required:
                      - bban
                      - accountHolderName
                  wallet:
                    type: object
                    properties:
                      address:
                        description: The blockchain wallet address
                        type: string
                    required:
                      - address
                required:
                  - type
              balance:
                description: Balance information
                type: object
                properties:
                  before:
                    description: Balance before the transaction
                    type: string
                  after:
                    description: Balance after the transaction
                    type: string
                required:
                  - before
                  - after
              bankStatementReference:
                description: Bank statement reference
                type: string
              transactionDate:
                description: Transaction date as unix timestamp
                type: number
              paymentProcessId:
                description: >-
                  Identifier of the associated payment process (e.g. deposit,
                  payout, refund). Use together with paymentProcessType for
                  reconciliation
                type: string
              paymentProcessType:
                description: Payment process type
                type: string
                enum:
                  - deposit
                  - deposit_return
                  - payout
                  - merchant_payout
                  - payment
                  - refund
                  - fxQuote
                  - payoutv2
                  - walletVerification
                  - topup
            required:
              - id
              - amount
              - currency
              - side
              - creditor
              - debtor
              - balance
              - bankStatementReference
              - transactionDate
        paging:
          description: Pagination information
          type: object
          properties:
            hasNext:
              description: Whether there are more transactions available
              type: boolean
            nextCursor:
              description: Cursor for the next page of results
              type: string
          required:
            - hasNext
      required:
        - data
        - paging
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Ivy-Api-Key
      description: API key for authentication

````